/***************************************************************************
                          gsmstring.h  -  description
                             -------------------
    begin                : Thu Feb 8 2001
    copyright            : (C) 2001 by Matthias Welwarsky
    email                : matze@stud.fbi.fh-darmstadt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef GSMSTRING_H
#define GSMSTRING_H

#include <qstring.h>

/**a class to handle GSM encoded text Strings. Derived from QString
  *@author Matthias Welwarsky
  */

class GSMString : public QString  {
public: 
	GSMString();
	GSMString(const QString&);

	virtual ~GSMString();

	QString toQString();
	GSMString& operator=(const QString& text);
	
protected: // Protected methods
    /** encodes a QString into a GSMString by escaping all special characters of the argument. */
    void gsmEncode(const QString&);
};

#endif
