/***************************************************************************
                          phonectrlcenter.h  -  description
                             -------------------
    begin                : Wed Jan 17 2001
    copyright            : (C) 2001 by Matthias Welwarsky
    email                : matze@stud.fbi.fh-darmstadt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef PHONECTRLCENTER_H
#define PHONECTRLCENTER_H

#include <qwidget.h>
#include "phonectrlcenterdlg.h"

// forward declarations
class PhoneControl;
class PhoneConnection;
class MessageDispatcher;

/**The central widget that controls all functions of KSiemens
  *@author Matthias Welwarsky
  */

class PhoneCtrlCenter : public PhoneCtrlCenterDlg  {
   Q_OBJECT
public: 
	PhoneCtrlCenter(QWidget *parent=0, const char *name=0);
	virtual ~PhoneCtrlCenter();
  	/** returns a pointer to the current PhoneConnection object, or NULL if there is none. */
  	MessageDispatcher* getDispatcher() const;

protected slots: // Protected slots
  	/** called by the button group, contains the number of the button that was clicked */
  	void slotFunctionSelected(int);

private: // Private attributes
  	/** path to the modem device */
  	QString modemDevice;
  	/** the connection object that communicates with the mobile phone */
  	PhoneConnection* phoneConnection;
  	/** state of the connection to the mobile phone, true if connected, false if not connected */
  	bool isConnected;
  	/** holds a pointer to the current message dispatcher object. */
  	MessageDispatcher* messageDispatcher;

private: // Private methods
    /** initialises the phone control widgets */
    void initControls();
};

#endif
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     /** holds a pointer to the active phone control */
