/***************************************************************************
                          phonectrlcontainer.h  -  description
                             -------------------
    begin                : Wed Jan 17 2001
    copyright            : (C) 2001 by Matthias Welwarsky
    email                : matze@stud.fbi.fh-darmstadt.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef PHONECTRLCONTAINER_H
#define PHONECTRLCONTAINER_H

#include <qwidget.h>

/**This is an abstract class that manages PhoneControl widgets
  *@author Matthias Welwarsky
  */

class PhoneControl;
class QVBoxLayout;
class QWidgetStack;

class PhoneCtrlContainer : public QWidget  {
   Q_OBJECT
public: 
	PhoneCtrlContainer(QWidget *parent=0, const char *name=0);
	virtual ~PhoneCtrlContainer();
    /** sets the current control module widget and displays it.
      * the previously activated module is replaced. */
    void setControl(int);
    /** adds a new phone control to the container */
    void addControl(PhoneControl*, int);
    /** returns a pointer to the active control */
    PhoneControl* activeControl();

private: // Private attributes
    /** holds a pointer to the currently displayed phone control module */
    PhoneControl* phoneControl;
    /** the internal layout of the control container */
    QVBoxLayout* layout;
    /** used to dynamically change the widgets that are shown by the control container */
    QWidgetStack* widgetStack;
};

#endif
